2019-08-24 00:19 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005190Spring engineGeneralpublic2016-04-02 01:34
ReporterBeherith 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005190: Units under construction overwrite all model deferred buffers
DescriptionUnits under construction write their diffuse results to all 5 RGBA buffers.
    "$model_gbuffer_normtex"
    "$model_gbuffer_difftex"
    "$model_gbuffer_spectex"
    "$model_gbuffer_emittex"
    "$model_gbuffer_misctex"

Steps To ReproduceTry the https://springrts.com/phpbb/viewtopic.php?f=23&t=34632 deferred buffer helper widget, and order a unit to be built.

Use latest BAR for full CUS.
Additional InformationThe posted image shows $model_gbuffer_emittex, where the commander has the correct results, yet the building under construction writes the emittex buffer.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016141

Beherith (reporter)

Last edited: 2016-03-31 13:33

View 2 revisions

Just a note: in theory, it should be possible to detect whether any buffer has been overwritten, by just clearing an unused channel in the deferred shaders, so if this is just a result spring's rendering pipeline, and would be too much work to work around, then feel free to disregard it.

Further note, zvaltex (depth buffer) is updated correctly.

~0016150

Anonymous (viewer)

Fix 3df886a31826337f5935d38a813a5c23836ebb8e committed to develop branch: fix 0005190, repo: spring changeset id: 6903

~0016151

Anonymous (viewer)

Fix 027c6699e7fd4525f331f3afbfa25e140c0de03d committed to develop branch: fix 0005190 (redux), repo: spring changeset id: 6906
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-03-31 11:10 Beherith New Issue
2016-03-31 11:10 Beherith File Added: screen00022.jpg
2016-03-31 12:36 Beherith Note Added: 0016141
2016-03-31 13:33 Beherith Note Edited: 0016141 View Revisions
2016-03-31 20:34 Kloot Assigned To => Kloot
2016-03-31 20:34 Kloot Status new => assigned
2016-04-01 22:28 Changeset attached => spring develop 3df886a3
2016-04-01 22:28 Anonymous Note Added: 0016150
2016-04-01 22:28 Anonymous Status assigned => resolved
2016-04-01 22:28 Anonymous Resolution open => fixed
2016-04-02 01:34 Changeset attached => spring develop 027c6699
2016-04-02 01:34 Anonymous Note Added: 0016151
+Issue History